import "./tasks/fastp.wdl" as fastp
workflow {{ project_name }} {	
	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	scatter (quartet in inputSamples){
		call fastp.fastp as fastp {
		input: 
		sample_id=quartet[2],
		read1=quartet[0], 
		read2=quartet[1],
		docker = fastp_docker,
		cluster = fastp_cluster
		}
	}
}